/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2006 The LS-Universe Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#if !defined(AFX_UTILITY_H__A0F5711F_53D3_4915_B457_0E992EF95581__INCLUDED_)
#define AFX_UTILITY_H__A0F5711F_53D3_4915_B457_0E992EF95581__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

const int MAX_INTEGER = 0x7FFFFFFF;
const int MIN_INTEGER = 0x80000000;

#define OS_9X   0x0001
#define OS_NT   0x0002
#define OS_95   0x0004
#define OS_98   0x0008
#define OS_ME   0x0010
#define OS_NT4  0x0020
#define OS_2K   0x0040
#define OS_XP   0x0080
#define OS_2KXP 0x0100

bool IsOS(const int &os);

int GetxRCInt(const string &uniqueKey, const string &baseName, int defaultVal, int minVal = MIN_INTEGER, int maxVal = MAX_INTEGER);

string GetxRCString(const string &uniqueKey, const string &baseName, const string &defaultVal);

string GetxRCLine(const string &uniqueKey, const string &baseName, const string &defaultVal);

void PrefixedLSSetVariable(string prefix, string var, string value);

string IntToString(int input);

#endif // !defined(AFX_UTILITY_H__A0F5711F_53D3_4915_B457_0E992EF95581__INCLUDED_)
